Skip to main content
GET
/
media
Get user's media list
curl --request GET \
  --url https://api.fanvue.com/media \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Fanvue-API-Version: <x-fanvue-api-version>'
{
  "data": [
    {
      "uuid": "d4e5f6a7-8b9c-0d1e-2f3a-4b5c6d7e8f9a",
      "status": "ready",
      "createdAt": "2024-01-15T00:00:00.000Z",
      "caption": "Check out my latest video!",
      "description": "Behind the scenes of my photoshoot",
      "name": "photoshoot-video.mp4",
      "mediaType": "video",
      "recommendedPrice": 500,
      "tags": {
        "description": "Behind-the-scenes shot at sunset on a beach.",
        "tags": [
          "beach",
          "sunset",
          "outdoors"
        ],
        "nsfwCategory": [],
        "sexActs": [],
        "bodyParts": [],
        "people": [
          "solo woman"
        ],
        "sexObjects": [],
        "setting": [
          "beach",
          "sunset"
        ],
        "position": [],
        "skinColor": [],
        "bodyType": [],
        "hairColor": [
          "blonde"
        ],
        "otherTags": [],
        "importantTags": [
          "beach"
        ],
        "isNsfw": false,
        "mediaType": "video"
      },
      "variants": [
        {
          "uuid": "e5f6a7b8-9c0d-1e2f-3a4b-5c6d7e8f9a0b",
          "variantType": "main",
          "displayPosition": 0,
          "url": "https://media.fanvue.com/main/d4e5f6a7-8b9c-0d1e-2f3a-4b5c6d7e8f9a.mp4",
          "width": 1920,
          "height": 1080,
          "lengthMs": 45000
        },
        {
          "uuid": "f6a7b8c9-0d1e-2f3a-4b5c-6d7e8f9a0b1c",
          "variantType": "thumbnail",
          "displayPosition": 1,
          "url": "https://media.fanvue.com/thumb/d4e5f6a7-8b9c-0d1e-2f3a-4b5c6d7e8f9a.jpg",
          "width": 320,
          "height": 180,
          "lengthMs": null
        },
        {
          "uuid": "a7b8c9d0-1e2f-3a4b-5c6d-7e8f9a0b1c2d",
          "variantType": "blurred",
          "displayPosition": 2,
          "url": "https://media.fanvue.com/blur/d4e5f6a7-8b9c-0d1e-2f3a-4b5c6d7e8f9a.mp4",
          "width": 1920,
          "height": 1080,
          "lengthMs": 45000
        }
      ]
    },
    {
      "uuid": "b8c9d0e1-2f3a-4b5c-6d7e-8f9a0b1c2d3e",
      "status": "processing"
    }
  ],
  "pagination": {
    "page": 1,
    "size": 2,
    "hasMore": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Fanvue-API-Version
string
default:2025-06-26
required

API version to use for the request

Example:

"2025-06-26"

Query Parameters

page
number
default:1

Page number to retrieve (starts from 1)

Required range: x >= 1
size
number
default:15

Number of items to return per page (1-50, default: 15)

Required range: 1 <= x <= 50
mediaType
enum<string>
Available options:
image,
video,
audio,
document
folderName
string
usage
enum<string>
Available options:
subscribers,
followers,
ppv,
mass_messages
purchasedBy
string<uuid>

UUID of the user to check media purchases against. When provided, each media item will include a purchasedByFan boolean indicating if that user has purchased it.

status
enum<string>[]

Comma-separated list of media status values

The status of media

Available options:
created,
processing,
ready,
error
variants
enum<string>[]

Comma-separated list of media variant types

The type of media variant

Available options:
blurred,
main,
thumbnail,
thumbnail_gallery

Response

List of user media

data
object[]
required

Array of media items

pagination
object
required

Pagination information